Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057684 - permanently adding rich rule with 'audit' creates unloadable config XML
Summary: permanently adding rich rule with 'audit' creates unloadable config XML
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld
Version: 7.0
Hardware: noarch
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 15:34 UTC by Jiri Popelka
Modified: 2014-06-18 03:10 UTC (History)
3 users (show)

Fixed In Version: firewalld-0.3.9-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 09:23:37 UTC


Attachments (Terms of Use)

Description Jiri Popelka 2014-01-24 15:34:13 UTC
Steps to Reproduce:
# firewall-cmd --permanent --add-rich-rule 'rule service name="ftp" log level="info" audit accept'


Actual results:
ERROR: Failed to load zone file: PARSE_ERROR: audit: Unexpected attribute level
  <rule>
    <service name="ftp"/>
    <log level="info"/>
    <audit level="info"/>
    <accept/>
  </rule>


Expected results:
  <rule>
    <service name="ftp"/>
    <log level="info"/>
    <audit/>
    <accept/>
  </rule>

Additional info:
Fix is
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=b77b00ba02bd8d077c18cbc2fcecc59bb7608c4f

Comment 4 Ludek Smid 2014-06-13 09:23:37 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.